/* --------------------------------------------------- */
/* $Global
------------------------------------------------------ */
*{
    position: relative; }
    
html, body, .wrap{
    width: 100%;
    scroll-behavior: smooth; }
    body{background:#f9f9f9}
a{
    display: block;
    text-align: center; }
    a:hover{
        opacity: 0.6;
        transition: all .3s;
    }

.title-underline{
    display: flex;
    flex-direction: column;
    gap: 12px;
    .project-tags, .handle-tags{
        display: flex;
        gap: 8px;
        flex-wrap: wrap;
    }
    .tag{
        width: fit-content;
        padding: 4px 12px;
        color: var(--color-dark2);
        border-radius: 50px;
        border: 1px solid var(--color-dark2);
    }
}
.title-underline::after{
    content: "";
    display: block;
    width: 100%; height: 8px;
    background-color: var(--color-second);
}

.title-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: end;
    gap: 12px;
    padding: 20px;
    border: 1px solid var(--color-main);
    border-radius: 20px;
    .title p{text-align: left;}
}
@media (max-width: 768px) {
    .title-container{
        flex-wrap: wrap;
        gap: 8px;
    }
    
}
/* 共用標題 */
.title{
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: fit-content;
}

/* 共用tag */
.title__tag{
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    width: 100%;

    .tag{
        font-size: .9rem;
        text-wrap: nowrap;
        color: var(--color-dark2);
        border: 1px solid var(--color-dark2);
        border-radius: 50px;
        padding: 4px 12px;
    }
}

/* 相片效果 */
.photo-box{
    width: 300px;
    border: 10px solid #fff;
    rotate: 357deg;
    box-shadow: 0px 3px 19px 1px rgb(217 167 191 / 60%);
}
.photo-text-wrapper{
    background: #fff;
    padding: 10px 0;
    text-align: center;
}

/* --------------------------------------------------- */
/* $header
------------------------------------------------------ */
header{
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    max-width: 100%;
    height: 80px;
    z-index: 100;
    background-color: var(--color-white);
    box-shadow: 1px 1px 12px 0px rgba(0, 0, 0, 0.2);
    @media (max-width: 576px){
        height: 67px;
        background-color: var(--color-white);
        box-shadow: 1px 1px 12px 0px rgba(0, 0, 0, 0.2); }
        .navinner{
            height: 100%;
            width:100%;
            max-width: 100%;
            padding: 0 20px;
            display: flex;
            flex-direction: row;
            justify-content: space-evenly;
            align-items: center;
            @media (max-width: 768px) {
                width: 100%;
                max-width: 100%;
                justify-content: flex-start;
            }
            .menu{
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 20px;
                width: auto;
                height: 100%;
                li a:hover{
                    opacity: 1;
                    color: var(--color-main); }
            }
            @media (max-width: 768px) {
                .menu{
                    gap: 0;
                }
            }
            .menu > li{width: 160px;}
            .logo{
                display: flex;
                align-items: center;
                justify-content: center;
                font-size: 1rem;
                font-weight: 400;
                height: 100%;
                transition: all .3s;
                img{height: 60%}
            }
                @media (max-width: 768px){
                    .menu > li > a{
                        font-weight: 400;
                        padding: 0;
                        line-height: 52px; }
                        .logo{width: 100px; img{width: 100%;}}
                }
            .header__lg-menu{
                cursor: pointer;
                display: flex;
                align-items: center;
                justify-content: center;
                height: 100%;
                gap: 8px;
            }
            .header__lg-menu__dropdown{
                display: none;
                position: fixed;
                top: 80px;
                width: 160px;
                background-color: var(--color-white);
                box-shadow: 0px 5px 12px rgba(0, 0, 0, .1);
                border-radius: 0 0 12px 12px;
                z-index: 99999;
                li{padding: .8rem 0;}
            }
            .header__lg-menu__dropdown.lg-switcher li{padding: 0;}
            @media screen and (max-width: 768px){
                .pc-menu{ display: none; } 
            }
            .sp-lg-menu{
                display: none;
                @media (max-width: 768px) {
                    display: flex;
                    font-size: 1rem;       
                    a{padding: 0 1rem;}
                }
            }
            .sp-menu{
                display: none; }
                @media (max-width: 768px){
                    .sp-menu{
                        position: absolute;
                        left: 0;
                        flex-direction: column;
                        width: 100%;
                        border-top: 1px solid var(--color-light-grey);
                        background-color: var(--color-white);
                        top: 67px;
                        overflow: hidden;
                        li{
                            width: 100%;
                            text-align: center;
                            border-bottom: 1px solid var(--color-main2);
                            a {
                                width: 100%;
                                padding: 8px 0; }
                        }
                        li:nth-last-of-type(1){
                            border-bottom: 0; }
                    }
                }
                .sp-menu.active {
                    height: calc(100vh - 67px);
                    justify-content: start; }
        }
         .trp-shortcode-switcher{
            display: block;
            padding: 0;
        }
        .trp-switcher-dropdown-list{
            max-height: 100%;
            width: 100%;
            padding: .8rem 0;
            .trp-language-item{
                justify-content: center;
            }
        }
        .trp-switcher-dropdown-list a:hover{
            color: var(--color-main);
        }
        .trp-current-language-item__wrapper:not(.trp-hide-arrow){
            width: 100%;
            justify-content:center;
            padding: .8rem 0;
            .trp-language-item-name{
                color: var(--color-second);
                font-size: 14px;
            }
        }
        .trp-shortcode-arrow{
            display: none;
        }
        .trp-shortcode-overlay{
            display: flex;
            flex-direction: column;
            width: 100%;
            align-items: center;
            border-radius: 0 0 12px 12px;
        }
        @media (max-width: 768px){
            .trp-switcher-dropdown-list,
            .trp-current-language-item__wrapper:not(.trp-hide-arrow){
                width:auto;
            }
            .trp-shortcode-overlay{
                flex-direction: row;
                width: auto;
                height: 100%;
                min-width: fit-content;
            }
        }
}



/* ---------------------- 
 $hamburger
------------------------- */
.hamburger-toggle{
    position: absolute;
    display: flex;
    width: 1.8rem;
    height: 1.3rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
    @media (max-width: 768px) {
        display: flex; }
    span {
        height: 3px;
        width: 100%;
        border-radius: 10px;
        background-color: var(--color-main);
        transition: all .3s ease; }
        span:nth-of-type(3) {
            width: 80%; }
}

.toggle span:nth-of-type(1){
    transform: rotate(-45deg) translate(-4.2px, 7px); }

.toggle span:nth-of-type(2){
    transform: rotateX(90deg); }

.toggle span:nth-of-type(3){
    transform: rotate(405deg) translate(-7.4px, -7px) scaleX(125%); }


@media (max-width: 768px) {
    .hamburger-toggle:hover {
        cursor: pointer; }
}
/* --------------------------------------------------- */
/* $Utility
------------------------------------------------------ */
.btn{
    position: relative;
    padding: .5rem 2rem;
    border: 2px solid var(--color-main);
    border-radius: 3rem;
    overflow: hidden;
    transition: .3s;
    
    .btn-inner{
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap:1rem;
    }
    .btn-inner .text{
        display: inline-block;
        font-size: 1rem;
    }
    .btn-inner .circle{
        display: flex;
        justify-content: center;
        align-items: center;
        border: 2px solid var(--color-main);
        border-radius: 3rem;
        background-color: #f9f9f9;
        width: 2rem;
        height: 2rem;
    }
    .btn-inner .circle .arrow-right{
        position: relative;
        font-size: 28px;
        color: var(--color-main);
        }
}

.btn:hover{
    opacity: 1; }

.btn:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    border-radius: 50px;
    background-color: var(--color-main);
    transition: all .6s cubic-bezier(0.68, -0.55, 0.265, 1.55); }

.btn:hover:before {
    background-color: var(--color-main);
    width: 100%; }

.btn-cta{background-color: var(--color-main);}
.btn-cta::before{background-color: var(--color-main2);}
.btn-cta:hover::before{background-color: var(--color-main2);}
    
/* $mouse arrow */
.mouse {
    left: 50%;
    transform: translateX(-50%);
    width: 30px;
    height: 50px;
    border: 2px solid var(--color-main);
    border-radius: 60px;
    position: relative;
    margin-top: 72px; }
    @media screen and (max-width: 768px){
        .mouse{
            display: none; } }

.mouse::before {
  content: '';
  width: 12px;
  height: 12px;
  position: absolute;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--color-second);
  border-radius: 50%;
  opacity: 1;
  animation: wheel 2s infinite;
  -webkit-animation: wheel 2s infinite; }
    @keyframes wheel{
    to {
        opacity: 0;
        top: 30px; } }
    @-webkit-keyframes wheel {
    to {
        opacity: 0;
        top: 30px; } }

.arrow{
    display: flex;
    flex-direction: column;
    align-items: center;
    span{
        margin-bottom: -28px;
        font-size: 60px;
        color: var(--color-main);
        opacity: 0;
        transform: scale(0.3);
        animation: arrow 3s ease-out infinite; }
        span:nth-child(1){
            animation: arrow 3s ease-out 1s infinite; }
            span:nth-child(2){
                animation: arrow 3s ease-out 2s infinite; }
}
@keyframes arrow {
    15% {
            opacity: 1;
            }
    30% {
        opacity: 1;
        transform: translateY(4px);
        }
    45% {
            opacity: 1;
            transform: translateY(16px);
        }
    100% {
        opacity: 0;
        transform: translateY(32px) scale(0.5);
        }
}

/* ---------------------------------------------------------------- */
/* 共用 $featured
-------------------------------------------------------------------- */
.feartured .container{
    background-color: var(--color-main2);
    border-radius: 20px;
    padding: 20px;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 40px;
    .title{
        display: flex;
        flex-direction: column;
        align-items: center;
        width: fit-content;
    }
    .title::after{
        content: "";
        display: block;
        width: 100%; height: 8px;
        background-color: var(--color-second);
    }
}

.featured-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
.featured-container .col-12{ padding-right: 20px; }
.featured-container .col-12:nth-last-child{padding-right: 0px;}


/* -----------------------------------------------------------
 index $hero
------------------------------------------------------------ */
.hero{
    padding-top: 140px;
    padding-bottom: 40px;
    @media (max-width: 576px){
        padding-top: 100px;
        padding-left: 32px;
        padding-right: 32px;
        padding-bottom: 40px; }
        @media (max-width: 378px){
            padding-left: 20px;
            padding-right: 20px; }

    @media (max-width: 768px) {
        .row{
            flex-direction: column;
            align-items: center;
            gap: 40px;
            .col-6{ width: 100%; }
        }
    }
    img{
        width: 100%;
        height: 100%;
    }
    .title-group{
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 16px;
        @media (max-width: 768px){
            align-items: center;
        }
        .title__tag .tag{
            color: var(--color-second);
            border-color: var(--color-second);
        }
        .btn{
            margin-top: 16px;
        }
    }
}
/* --------------------------------------------------- */
/* index
------------------------------------------------------ */
.index{
    overflow-x: hidden;
}


/* --------------------------------------------------- */
/* index $featured
------------------------------------------------------ */
.index-featured .img-box{
    height: 300px;
    overflow: hidden;
}
.index-featured p{
    line-height: 1.8;
}


/* 手機版圖片順序相反 */
@media (max-width:768px){
    .index-featured .col-md-5{
        order: 2;
        align-items: center;
    }
    .index-featured .col-md-7{
        order: 1;
    }
    .index-featured .img-box{
        height: auto;
}
}
/* 第二個row順序相反 */
.index-featured .row:nth-of-type(3) .col-md-5{
    order: 2;
}
.index-featured .row:nth-of-type(3) .col-md-7{
    order: 1;
}


/* --------------------------------------------------- */
/* index $design 分類牆
------------------------------------------------------ */
.design .container .title{
    text-align: center; }

.design .container .row{
    margin: 0;
    width: 100%;
    h5{
        text-align: center; }
}

/* $imgbox */
.design .img-box{
    width: 100%;
    overflow: hidden;
    transition: all .2s;

    img{
        width: 100%;
        height: auto;
        aspect-ratio: 4 / 3;
        object-fit: cover;
        object-position: top;
        display: block;
        @media (max-width: 576px){
            object-position: center; }
    }
    img:nth-of-type(2){
        position: absolute;
        top: 0;
        left: 0;
        transition: all .2s;
        @media (max-width: 576px){
            opacity: 0; }
    }
    img:nth-of-type(2):hover{
        opacity: 0; }
}
.design .img-box:hover{
    opacity: 1; }


/* --------------------------------------
    about $hero-img
---------------------------------------*/
.hero-img{
    padding-top: 140px;
    padding-bottom: 60px;
    @media (max-width: 768px) {
        padding-top: 120px; }
        @media (max-width: 576px) {
            padding-top: 100px;
            padding-bottom: 28px;  }

    .col-12{
        display: flex;
        flex-direction: row;
        @media (max-width: 768px) {
            flex-direction: column;
            align-items: center; }

        .chat-box{
            border: 2px solid var(--color-main);
            border-radius: 8px;
            padding: 16px;
            display: flex;
            flex-direction: column;
            justify-content: center;
            p{
                line-height: 1.8;
                letter-spacing: 2px; }
        }
        .chat-box::after{
            content: "";
            position: absolute;
            top: 50%;
            right: -10%;
            border-top: 15px solid transparent;
            border-bottom: 15px solid transparent;
            border-left: 30px solid var(--color-main);
        }
        @media (max-width: 768px) {
            .chat-box::after{
                border-top: 10px solid transparent;
                border-bottom: 10px solid transparent;
                border-left: 20px solid var(--color-main);
            } }
            @media (max-width: 576px) {
                .chat-box::after{ border: 0; } }
    /* $ani ------------------------------------*/
        .ani{
            width: 50%;
            @media (max-width: 768px) {
                width: 100%;
                padding-bottom: 32px;
            }
        }
        .ani::before{
            content: "";
            display: block;
            position:absolute;
            left: 50%;
            top: 58%;
            transform: translate(-50%,-50%);
            width: 400px;
            height: 400px;
            background:radial-gradient(circle at 50% 50%,
            var(--color-main) 20%, 
            rgba(255,255,255,0) 70%,
            #f9f9f9 80%,
            #f9f9f9 100% );
        }
        @media (max-width: 992px) {
            .ani::before{
                top: 55%;
                width: 300px;
                height: 300px;  } }
            @media (max-width: 768px) {
                .ani::before{
                    top: 50%;
                    width: 200px;
                    height: 200px; } }
    /* $info --------------------------------------------*/
        .info{
            width: 50%;
            @media (max-width: 768px) {
                width: 100%;
                padding: 0 16px;
                border: 0;
                margin-bottom: 1rem; }

            .chat-box::after{
                content: "";
                position: absolute;
                top: 50%;
                right: 100%;
                border-top: 15px solid transparent;
                border-bottom: 15px solid transparent;
                border-left: 0;
                border-right: 30px solid var(--color-main);
            }
            @media (max-width: 768px) {
                .chat-box::after{
                    border-top: 10px solid transparent;
                    border-bottom: 10px solid transparent;
                    border-right: 20px solid var(--color-main); } }
                @media (max-width: 768px) {
                    .chat-box::after{
                        border: 0; } }
            .box-group{
                display: flex;
                flex-wrap: wrap;
                align-items: center;
                gap: 4px;
                .box-outter{
                    width: 42px;
                    .box{
                        width: 100%;
                        padding-top: 100%;
                        border-radius: 16px;
                        border: 1px solid var(--color-main);
                        text-align: center;
                        transition: all .3s;
                        p{
                            position: absolute;
                            top: 50%;
                            left: 50%;
                            transform: translate(-50%,-50%);
                            font-size: .9rem;
                            font-weight: 600;
                            letter-spacing: -1px;
                            color: var(--color-dark2); }
                    }
                        .box:hover{
                            background-color: var(--color-main);
                        }
                }
            }
        }
    }
}

/* -----------------------------------------------
 about $skill-more
------------------------------------------------*/
.skill-more p{
    margin-bottom: 0; }
  
.skill-more .col-6{
    .inner{
        height: 100%;
        padding: 16px 8px;
        border-radius: 8px;
        background-color: var(--color-main2);
        @media (max-width: 768px) {
            padding: 8px; }

        .img-box{
            width: 40%;
            left: 50%;
            transform: translateX(-50%);

            img{
                width: 100%;
                height: 100%; }
        }
        h6{
            text-align: center;
            margin-top: 0;
        }
        .text-box{
            text-align: center;
            p{
                font-size: 0.9rem;
                letter-spacing: -1px;
                padding-bottom: 8px;
            }
            p::before{
                content: '〇';
                color: var(--color-main);
                font-weight: 800; }
        }
    }
}

/* -------------------------------------------
 about $education
------------------------------------------------ */
.education .row{
    .group{
        display: flex;
        .circle > div{
            width: 20px;
            height: 20px;
            background-color: var(--color-main);
            border-radius: 100%;
            left: 50%;
            transform: translateX(-50%); }
            .circle::before{
                content: '';
                display: block;
                position: absolute;
                width: 3px;
                height: 100%;
                background-color: var(--color-main);
                top: 10%;
                left: 25%; }

    .text{
        width: 100%;
        p{
            margin-bottom: 0;
            line-height: 2; }
        
        p:nth-child(1){
            color: var(--color-second);
            font-weight: 600; }

        p:nth-child(3){
            color: var(--color-dark2);
            font-size: 0.9rem;
            line-height: 1.5;
        }

        @media (min-width: 768px) {
            br{
                display: none; } }
    }
    .text > div, .text > div:focus, .text > div:hover {
        width: 100%;
        color: var(--color-dark);
        padding: 8px;
        border: 1px solid var(--color-main);
        font-weight: bold;
        text-align: center;
        text-transform: uppercase;
        -webkit-font-smoothing: antialiased; }
        .text > div:hover {
            border: none; }
        
    .text > div span:nth-child(n+3){
        content: "";
        display: block;
        position: absolute;
        background-color: var(--color-main); }
        .text > div span:nth-child(3) {
            width: 2px;
            left: 0;  bottom: 0; }
            .text > div:hover span:nth-child(3) {
                animation: move1 1500ms infinite ease; }

            .text > div span:nth-child(4) {
                height: 2px;
                left: 0; top: 0; }
                .text > div:hover span:nth-child(4) {
                    animation: move2 1500ms infinite ease; }

                .text > div span:nth-child(5) {
                    width: 2px;
                    right: 0; top: 0; }
                    .text > div:hover span:nth-child(5) {
                        animation: move3 1500ms infinite ease; }

                    .text > div span:nth-child(6) {
                        height: 2px;
                        right: 0; bottom: 0; }
                        .text > div:hover span:nth-child(6) {
                            animation: move4 1500ms infinite ease; }
    }
}
@keyframes move1 {
    0% { height: 100%; bottom: 0; }
    54% { height: 0; bottom: 100%; }
    55% { height: 0; bottom: 0; }
    100% { height: 100%; bottom: 0; }
}
@keyframes move2 {
    0% { width: 0; left: 0; }
    50% { width: 100%; left: 0; }
    100% { width: 0; left: 100%; }
}
@keyframes move3 {
    0% { height: 100%; top: 0; }
    54% { height: 0; top: 100%; }
    55% { height: 0; top: 0; }
    100% { height: 100%; top: 0; }
}
@keyframes move4 {
    0% { width: 0; right: 0; }
    55% { width: 100%; right: 0; }
    100% { width: 0; right: 100%; }
}
/* ----------------------------------------------
    about $vision
------------------------------------------------ */  
.vision .col-md-6:nth-child(2)::before{
    content: "";
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    width: 100%;
    height: 100%;
    background:radial-gradient(circle farthest-side at center,var(--color-main),#f9f9f9,transparent 120%); }
    @media screen and (max-width: 992px) {
      .vision .col-md-6:nth-child(2)::before{ background:radial-gradient(circle farthest-side at center,var(--color-main2),#f9f9f9,transparent 100%); } }
      @media screen and (max-width: 768px) {
        .vision .col-md-6:nth-child(2)::before{ background:radial-gradient(circle farthest-side at center,var(--color-main2),#f9f9f9,transparent 150%); } }
    
.vision .text-box{
    width: 80%;
    h5{
        color: var(--color-dark);
        text-align: center; }
        p{
            line-height: 2.2; }
}

/* ---------------------------------------------------
 $go-top
------------------------------------------------------ */
#go-top-btn {
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    font-size: 1rem;
    font-weight: 600;
    border: none;
    outline: none;
    background-color: var(--color-main2);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    color: var(--color-second2);
    cursor: pointer;
    padding: 16px;
    border-radius: 5rem;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s cubic-bezier(0.4,0,0.2,1), visibility 0.4s;
}

#go-top-btn.show {
  opacity: 1;
  visibility: visible;
}

#go-top-btn:hover{
    color: var(--color-main);
    background-color: var(--color-white);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); }

#go-top-btn::after{
    content: "";
    display: block;
    position: absolute;
    left: 0;
    top:0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: all .5s;
    box-shadow: 0 0 10px 40px var(--color-main2);
    border-radius: 4rem; }

#go-top-btn:active:after{
    position: absolute;
    left: 0;
    top:0;
    opacity: 1;
    transition: 0s;
    box-shadow: 0 0 0 0 var(--color-main2);
    border-radius: 4rem; }


/* 專案說明跳窗按鈕 */

@media (max-width: 768px) {

    .post #mobile-info-btn {
        display: flex;
        position: fixed;
        right: 20px;
        bottom: 100px;
        padding: 8px 20px;
        color: var(--color-second2);
        font-weight: 600;
        background-color: var(--color-main2);
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
        border-radius: 5rem;
        z-index: 99;
        justify-content: center;
        align-items: center;
        transition: transform 0.3s ease, opacity 0.3s ease;
    }
    #mobile-info-btn.is-hidden {
        opacity: 0;
        pointer-events: none;
    }

    /* 彈窗遮罩：半透明灰色 */
    .popup-overlay {
        display: none;
        position: fixed;
        top: 0; left: 0;
        width: 100%; height: 100%;
        background: rgba(0, 0, 0, 0.5); /* 看到一點原本的內容 */
        z-index: 10000;
    }

    /* 彈窗內容：不滿版設定 */
    .popup-content {
        position: absolute;
        bottom: 0; /* 從底部彈出，類似你截圖的感覺 */
        width: 100%;
        max-height: 90%; /* 留出上方 20% 空間看到原網頁 */
        background: rgba(255,255,255,.9);
        border-radius: 20px 20px 0 0;
        padding: 8px 20px 20px 20px;
        overflow-y: auto;
    }
    .close-btn{
        display: block;
        width: 100%;
        text-align: right;
        font-size: 32px;
    }
}

/* ----------------------
 $footer
------------------------- */
footer{
    margin-top: 100px;
    @media (max-width: 576px) {
        font-size: 0.9rem;
        margin-top: 60px; }

    div{
        display: flex;
        text-align: center;
        flex-direction: column;
        align-items: center;
        background-color: var(--color-main);
        padding: 28px;
        @media (max-width: 768px) {
            flex-wrap: wrap;
            align-content: center;
        }
        a{
            width: fit-content;
            padding-bottom: 16px;
            span{
                vertical-align: middle; }
            p{
                display: inline;
                line-height: 1.6;
                vertical-align: middle; }
        }
        > p{
            font-size: 0.8rem;
            line-height: 1.8;
        }
    } 
}